Skip to main content
GET
/
stablecoins
/
history
Get Issue/Redeem History
curl --request GET \
  --url https://api.anchorage-staging.com/v2/stablecoins/history \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "amount": "100.00",
      "createdAt": "2023-11-07T05:31:56Z",
      "destinationAssetTypeId": "PYUSD",
      "destinationWalletId": "<string>",
      "id": "<string>",
      "operationType": "ISSUE",
      "sourceAssetTypeId": "USD",
      "sourceWalletId": "<string>",
      "status": "EXECUTING",
      "authorizationOperationId": "<string>",
      "destinationOperationId": "<string>",
      "sourceOperationId": "<string>",
      "subStatus": "REJECTED_BY_CUSTOMER"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

limit
integer<int32>
default:100

Maximum number of results to return (default 100, max 100)

Required range: 1 <= x <= 100
lastCreatedAt
string<date-time>

Cursor for pagination - timestamp of the last result from the previous page (RFC3339 format)

Response

Issue/redeem history

data
object[]
required
page
Page · object
required

Pagination info